Difference between revisions of "SDK Known Issues"

From Eclipsepedia

Jump to: navigation, search
(Eclipse using GCJ)
(Linux issues: Add the run-java-tool issue.)
Line 25: Line 25:
 
=== Eclipse using GCJ ===
 
=== Eclipse using GCJ ===
 
Most Linux distributions ship with the GNU Compiler for Java ([http://gcc.gnu.org/java/ GCJ]). Although Eclipse is known to run on GCJ, it is not a reference platform for Eclipse, and therefore it is not tested. It is recommended that a [http://www.eclipse.org/downloads/moreinfo/jre.php Sun, IBM, or BEA JVM] be used instead.  See also the Eclipse platform 3.3 [http://www.eclipse.org/eclipse/development/readme_eclipse_3.3.html#TargetOperatingEnvironments reference platforms] list.
 
Most Linux distributions ship with the GNU Compiler for Java ([http://gcc.gnu.org/java/ GCJ]). Although Eclipse is known to run on GCJ, it is not a reference platform for Eclipse, and therefore it is not tested. It is recommended that a [http://www.eclipse.org/downloads/moreinfo/jre.php Sun, IBM, or BEA JVM] be used instead.  See also the Eclipse platform 3.3 [http://www.eclipse.org/eclipse/development/readme_eclipse_3.3.html#TargetOperatingEnvironments reference platforms] list.
 +
 +
=== Eclipse on Gentoo Linux ===
 +
If you are running Gentoo Linux, you may see the following error message when you start Eclipse:
 +
 +
* run-java-tool is not available for sun-jdk-1.6 on i686
 +
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 +
 +
This is a known bug, please see [http://www.eclipse.org/eclipse/development/readme_eclipse_3.3.1.1.html#I-Platform-Core here] and {{bug|176021}}.

Revision as of 16:03, 6 November 2007

Contents

Installing

I downloaded and extracted the ZIP file - how do I install Eclipse?

You don't need to install Eclipse. In the extracted folder, simply double-click the eclipse.exe executable file.


Windows issues

I am prompted for a password when extracting the ZIP file

This is a known issue with the Windows extraction utility. Try using a third-party extraction tool:


Extracting the ZIP file fails

This is a known issue with the Windows extraction utility. Try using a third-party extraction tool:

Also, you can try extracting the ZIP file to c:\eclipse.


Linux issues

Eclipse using GCJ

Most Linux distributions ship with the GNU Compiler for Java (GCJ). Although Eclipse is known to run on GCJ, it is not a reference platform for Eclipse, and therefore it is not tested. It is recommended that a Sun, IBM, or BEA JVM be used instead. See also the Eclipse platform 3.3 reference platforms list.

Eclipse on Gentoo Linux

If you are running Gentoo Linux, you may see the following error message when you start Eclipse:

* run-java-tool is not available for sun-jdk-1.6 on i686
* IMPORTANT: some Java tools are not available on some VMs on some architectures

This is a known bug, please see here and bug 176021.